cascading.stats.tez

## Class TezNodeStats

- java.lang.Object
- - cascading.stats.CascadingStats<FlowSliceStats>
  - - cascading.stats.FlowNodeStats
    - - cascading.stats.BaseCachedNodeStats<Configuration,org.apache.tez.dag.api.client.DAGClient,org.apache.tez.common.counters.TezCounters>
      - - cascading.stats.tez.TezNodeStats

All Implemented Interfaces:
  ProvidesCounters, java.io.Serializable

    public class TezNodeStats
    extends BaseCachedNodeStats<Configuration,org.apache.tez.dag.api.client.DAGClient,org.apache.tez.common.counters.TezCounters>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TezNodeStats.Kind`

### Nested classes/interfaces inherited from class cascading.stats.CascadingStats

`CascadingStats.Status, CascadingStats.Type`

### Field Summary

Fields
`static int` `DEFAULT_FETCH_LIMIT`
`static java.lang.String` `TIMELINE_FETCH_LIMIT` Sets the fetch limit from the timeline server.

### Fields inherited from class cascading.stats.BaseCachedNodeStats

`allChildrenFinished, counterCache, sliceStatsMap`

### Fields inherited from class cascading.stats.FlowNodeStats

`hasCapturedFinalDetail`

### Fields inherited from class cascading.stats.CascadingStats

`clientState, finishedTime, lastCaptureDetail, listeners, name, pendingTime, runTime, startTime, STATS_COMPLETE_CHILD_DETAILS_BLOCK_DURATION, STATS_STORE_INTERVAL, status, submitTime, throwable, throwableTrace`

### Constructor Summary

Constructors
`protected` `TezNodeStats(BaseCachedStepStats<Configuration,org.apache.tez.dag.api.client.DAGClient,org.apache.tez.common.counters.TezCounters> parentStepStats, FlowNode flowNode, ClientState clientState, Configuration configuration)`

### Method Summary

Methods
`protected boolean` `captureChildDetailInternal()`
`int` `getFailedTaskCount()`
`int` `getKilledTaskCount()`
`java.lang.String` `getKind()`
`int` `getRunningTaskCount()`
`int` `getSucceededTaskCount()`
`int` `getTotalTaskCount()`

### Methods inherited from class cascading.stats.BaseCachedNodeStats

`cachedCounters, captureDetail, getChildren, getChildWith, getCounterGroups, getCounterGroupsMatching, getCountersFor, getCounterValue, getCounterValue, getLastSuccessfulCounterFetchTime, isAllChildrenFinished, recordChildStats`

### Methods inherited from class cascading.stats.FlowNodeStats

`getFlowNode, getID, getOrdinal, getProcessLogger, getType, hasCapturedFinalDetail, recordInfo, toString`

### Methods inherited from class cascading.stats.CascadingStats

`addListener, captureDetail, cleanup, fireListeners, getCountersFor, getCurrentDuration, getDuration, getFinishedTime, getName, getPendingTime, getPrefix, getRunTime, getStartTime, getStatsString, getStatus, getSubmitTime, getThrowable, getThrowableTrace, isDetailStale, isEngaged, isFailed, isFinished, isPending, isRunning, isSkipped, isStarted, isStopped, isSubmitted, isSuccessful, logDebug, logError, logError, logInfo, logWarn, markDetailCaptured, markFailed, markFailed, markFailed, markFailed, markFinishedTime, markPending, markPendingTime, markRunning, markRunTime, markSkipped, markStarted, markStartedThenRunning, markStartTime, markStartToRunTime, markStopped, markSubmitted, markSubmitTime, markSuccessful, prepare, recordStats, removeListener, setStatsStoreInterval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TIMELINE_FETCH_LIMIT

    public static final java.lang.String TIMELINE_FETCH_LIMIT

Sets the fetch limit from the timeline server. May be set as a System property.

See Also:
  Constant Field Values

#### DEFAULT_FETCH_LIMIT

    public static final int DEFAULT_FETCH_LIMIT

See Also:
  Constant Field Values

### Constructor Detail

#### TezNodeStats

    protected TezNodeStats(BaseCachedStepStats<Configuration,org.apache.tez.dag.api.client.DAGClient,org.apache.tez.common.counters.TezCounters> parentStepStats,
                FlowNode flowNode,
                ClientState clientState,
                Configuration configuration)

### Method Detail

#### getKind

    public java.lang.String getKind()

Specified by:
  `getKind` in class `FlowNodeStats`

#### getTotalTaskCount

    public int getTotalTaskCount()

#### getSucceededTaskCount

    public int getSucceededTaskCount()

#### getFailedTaskCount

    public int getFailedTaskCount()

#### getKilledTaskCount

    public int getKilledTaskCount()

#### getRunningTaskCount

    public int getRunningTaskCount()

#### captureChildDetailInternal

    protected boolean captureChildDetailInternal()

Specified by:
  `captureChildDetailInternal` in class `BaseCachedNodeStats<Configuration,org.apache.tez.dag.api.client.DAGClient,org.apache.tez.common.counters.TezCounters>`